Vote! Pro poll_frame.php poll_id Variable SQL Injection

2005-11-23T23:51:03
ID OSVDB:21309
Type osvdb
Reporter r0t(krustevs@googlemail.com)
Modified 2005-11-23T23:51:03

Description

Vulnerability Description

Vote! Pro contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the poll_frame.php script not properly sanitizing user-supplied input to the 'poll_id' variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Vote! Pro contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the poll_frame.php script not properly sanitizing user-supplied input to the 'poll_id' variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Manual Testing Notes

/poll_frame.php?poll_id=[SQL]

References:

Vendor URL: http://www.vote-pro.com/ Other Advisory URL: http://pridels.blogspot.com/2005/11/vote-pro-4x-pollid-sql-inj.html CVE-2005-4632